org.jgroups.protocols

## Class FD.BroadcastTask

- java.lang.Object
- - org.jgroups.protocols.FD.BroadcastTask

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    FD

      protected final class FD.BroadcastTask
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSuspectedMember(Address suspect)`
    `void` | `run()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### stop

          public void stop()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### addSuspectedMember

          public void addSuspectedMember(Address suspect)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.